package com.leromro.core.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BusinessPriceVO {

    private Long businessPriceId;

    @ApiModelProperty("业务价格")
    private BigDecimal businessPrice;

    @ApiModelProperty("业务时长(整数分钟)")
    private Long businessDuration;

    @ApiModelProperty("业务id")
    private Long businessManagementId;

    @ApiModelProperty("服务项目名称")
    private String projectName;

    @ApiModelProperty("项目类别名称")
    private String  projectTypeName;

    @ApiModelProperty("业务层级名称")
    private String businessTierName;

}
