package com.leromro.core.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.MainOrders;
import com.leromro.core.domain.SecondOrder;
import com.leromro.core.domain.VolunteerWorkDate;
import com.leromro.core.domain.dto.OrderRequestDTO;
import com.leromro.core.domain.vo.MainOrdersVO;
import com.leromro.core.domain.vo.webMainOrderListVO;


import java.util.List;

public interface IMainOrderService extends IService<MainOrders> {
    List<MainOrdersVO> selectByUserId(Integer orderStatus, Long userId);

    void createOrders(OrderRequestDTO orderRequest);


    List<webMainOrderListVO> webMainOrderList(MainOrdersVO mainOrdersVO);

    void startService(String secondOrderId);
}
